com.io7m.jtensors

## Interface MatrixReadable2x2DType

- All Superinterfaces:
    MatrixReadableDType
  All Known Subinterfaces:
    Matrix2x2DType, Matrix3x3DType, Matrix4x4DType, MatrixByteBuffered2x2DType, MatrixByteBuffered3x3DType, MatrixByteBuffered4x4DType, MatrixDirect2x2DType, MatrixDirect3x3DType, MatrixDirect4x4DType, MatrixDirectReadable2x2DType, MatrixDirectReadable3x3DType, MatrixDirectReadable4x4DType, MatrixReadable3x3DType, MatrixReadable4x4DType, PMatrix3x3DType<T0,T1>, PMatrix4x4DType<T0,T1>, PMatrixByteBuffered3x3DType<T0,T1>, PMatrixByteBuffered4x4DType<T0,T1>, PMatrixDirect3x3DType<T0,T1>, PMatrixDirect4x4DType<T0,T1>, PMatrixDirectReadable3x3DType<T,U>, PMatrixDirectReadable4x4DType<T,U>, PMatrixReadable3x3DType<T,U>, PMatrixReadable4x4DType<T,U>
  All Known Implementing Classes:
    MatrixByteBufferedM2x2D, MatrixByteBufferedM3x3D, MatrixByteBufferedM4x4D, MatrixDirectM2x2D, MatrixDirectM3x3D, MatrixDirectM4x4D, MatrixHeapArrayM2x2D, MatrixHeapArrayM3x3D, MatrixHeapArrayM4x4D, MatrixI2x2D, MatrixI3x3D, MatrixI4x4D, PMatrixByteBufferedM3x3D, PMatrixByteBufferedM4x4D, PMatrixDirectM3x3D, PMatrixDirectM4x4D, PMatrixHeapArrayM3x3D, PMatrixHeapArrayM4x4D, PMatrixI3x3D, PMatrixI4x4D

      public interface MatrixReadable2x2DType
      extends MatrixReadableDType

  'Read' interface to 2x2 matrices with `double` elements.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getR0C0D()`
    `double` | `getR0C1D()`
    `double` | `getR1C0D()`
    `double` | `getR1C1D()`
    `<V extends VectorWritable2DType> void` | `getRow2D(int row, V out)` Retrieve row `row`, saving the result to `out`.
    `<V extends VectorWritable2DType> void` | `getRow2DUnsafe(int row, V out)` Retrieve row `row`, saving the result to `out`.

    - ### Methods inherited from interface com.io7m.jtensors.MatrixReadableDType

      `getRowColumnD`

- - ### Method Detail

    - #### getRow2D

          <V extends VectorWritable2DType> void getRow2D(int row,
                                                         V out)

      Retrieve row `row`, saving the result to `out`.
      Type Parameters:
        `V` - The precise type of writable vector.
      Parameters:
        `row` - The index of the row, starting at `0`.
        `out` - The output vector.

    - #### getRow2DUnsafe

          <V extends VectorWritable2DType> void getRow2DUnsafe(int row,
                                                               V out)

      Retrieve row `row`, saving the result to `out`. No bounds checking is performed for `row`, and out-of-bounds values result in undefined behaviour.
      Type Parameters:
        `V` - The precise type of writable vector.
      Parameters:
        `row` - The index of the row, starting at `0`.
        `out` - The output vector.

    - #### getR0C0D

          double getR0C0D()

      Returns:
        The value at row 0, column 0

    - #### getR1C0D

          double getR1C0D()

      Returns:
        The value at row 1, column 0

    - #### getR0C1D

          double getR0C1D()

      Returns:
        The value at row 0, column 1

    - #### getR1C1D

          double getR1C1D()

      Returns:
        The value at row 1, column 1

Copyright © 2016 <code@io7m.com> http://io7m.com